close all; clear all;
R1=100e3;
R2=47e3;
c1=0.1e-6;
c2=0.047e-6;
R3=10e3;
sys1=tf([1 1/(c1*R1)],[1 (1+R1/R2)/(c1*R1)])
sys2=tf(1/(R3*c2),[1 1/(R3*c2)])
sys3=tf([1 0],[1 1/(R3*c2)])
subplot(1,3,1)
step(sys1)
title('step response for circuit a')
subplot(1,3,2)
step(sys2)
title('step response for circuit b')
subplot(1,3,3)
step(sys3)
title('step response for circuit c')
[m1,p1,w1]=bode(sys1);
[m2,p2,w2]=bode(sys2);
[m3,p3,w3]=bode(sys3);
m1=squeeze(m1);
m2=squeeze(m2);
m3=squeeze(m3);
p1=squeeze(p1);
p2=squeeze(p2);
p3=squeeze(p3);
figure(4)

subplot(1,3,1)
plot(w1,m1)
axis square;
subplot(1,3,2)
plot(w2,m2)
axis square;
subplot(1,3,3)
plot(w3,m3)
axis square;
figure(7)
subplot(1,3,1)
plot(w1,p1)
axis square;
subplot(1,3,2)
plot(w2,p2)
axis square;
subplot(1,3,3)
plot(w3,p3)
axis square;